Summary:     Rule and Decoder set for OSSEC
Name:        ossec-rules
Version:     201312191149
Release:     4.art
License:     GPL
Group:       Applications/System
Source0:     ossec-rules-%{version}.tar.gz

URL:         http://www.ossec.net/
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:      http://www.ossec.net
Packager:    Atomicorp <support@atomicorp.com>
ExclusiveOS: linux
BuildArch:   noarch
Requires:    ossec-hids-server


%description
Rule and Decoder set for OSSEC HIDS


%prep
%setup -q  -n ossec-rules
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/ossec/etc/decoders.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/ossec/etc/rules.d

install -m 0644 rules.d/*.xml ${RPM_BUILD_ROOT}%{_localstatedir}/ossec/etc/rules.d/
install -m 0644 decoders.d/*.xml ${RPM_BUILD_ROOT}%{_localstatedir}/ossec/etc/decoders.d/

%post
/sbin/service ossec-hids restart || :

%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_localstatedir}/ossec/etc/rules.d/*xml
%{_localstatedir}/ossec/etc/decoders.d/*xml

%changelog
* Mon Dec 16 2013 Support <support@atomicorp.com> - 20131216-1
- Initial release
